For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
      • POSTRemoves a tag from all projects.
      • GETReturns all tags currently in use by projects.
      • POSTUpdates a tag globally for all projects.
      • POSTAdds a batch of tags to the project with the specified id.
      • POSTRemoves tags from the project with the specified id.
      • GETReturns the tags of the project with the specified id.
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceProject Tags

Removes tags from the project with the specified id.

POST
https://api.awork.com/api/v1/projects/:projectId/deletetags
POST
/api/v1/projects/:projectId/deletetags
$curl -X POST https://api.awork.com/api/v1/projects/projectId/deletetags \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "name": "Design"
> }
>]'
1{}
<Check title="Required Permissions" icon="key">To remove tags from a project the user must have `project-master-data:write` permissions on the specified project.</Check>
Was this page helpful?
Previous

Returns the tags of the project with the specified id.

Next
Built with
Required Permissions
To remove tags from a project the user must have project-master-data:write permissions on the specified project.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The id of the project to remove tags from.

Request

The model containing the tags to remove.
namestringRequired0-255 characters
The name of the tag to delete.

Response

Multi-Status

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error